---
title: "Reads one of the customer's quiz attempts to review: its questions, the answers given and, once graded, each result with the key where the quiz shows it."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo customer API › attempt

`GET /v1/stores/{store}/products/{product}/attempts/{attempt}`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `read`

## Path parameters

- `store` (`getAttempt.path.store`; string, required) — A hostname of the store.
- `product` (`getAttempt.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1
- `attempt` (`getAttempt.path.attempt`; string, required)
  - minLength 1

## Query parameters

- `preview` (`getAttempt.query.preview`; string, optional) — A token a seller made for the quiz's product's page, which opens the quiz of a published entry of the product unpublished, or for the quiz's entry, which opens it unpublished too, gated as ever; with it, a sitting on any quiz it does not open is `not_found` `preview`.
  - minLength 1; maxLength 128

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/attempts/<attempt>' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/attempts/<attempt>';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/attempts/<attempt>"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Reads one of the customer's quiz attempts to review: its questions, the answers given and, once graded, each result with the key where the quiz shows it.

#### Example

```json
{
  "attempt": {
    "id": "string",
    "product_id": "string",
    "quiz_id": "string",
    "entry_id": "string",
    "attempt": 0,
    "status": "string",
    "score": 0,
    "correct": 0,
    "started_at": "string",
    "finished_at": "string",
    "access": "string"
  },
  "questions": [
    {
      "type": "string",
      "id": "string",
      "question": "string",
      "content": "string",
      "options": [
        {
          "id": "string",
          "text": "string"
        }
      ],
      "min": 0,
      "max": 0,
      "weight": 0,
      "hint": "string"
    }
  ],
  "attachments": [
    {
      "tracks": [
        {
          "id": "string",
          "label": "string",
          "language": "string",
          "generated": true
        }
      ],
      "outputs": [
        "string"
      ],
      "access": "string",
      "id": "string",
      "role": "string",
      "delivery": "string",
      "preview_only": true,
      "from_body": true,
      "position": 0,
      "asset": {
        "id": "string",
        "name": "string",
        "title": "string",
        "ext": "string",
        "description": "string",
        "mime": "string",
        "bytes": 0,
        "enforcement": "string",
        "locator": "string",
        "metadata": {
          "width": 0,
          "height": 0,
          "duration": 0,
          "pages": 0
        },
        "status": "string"
      }
    }
  ],
  "files": {
    "property1": {
      "id": "string",
      "kind": "string",
      "mime": "string",
      "name": "string",
      "bytes": 0,
      "width": 0,
      "height": 0,
      "duration": 0,
      "pages": 0,
      "status": "string",
      "url": "string",
      "resized": [
        {
          "width": 1,
          "avif": "string",
          "webp": "string"
        }
      ],
      "attachment_id": "string",
      "unlocks": [
        {
          "product_id": "string",
          "product_name": "string",
          "tier": {
            "id": "string",
            "name": "string",
            "rank": 0
          }
        }
      ],
      "video": {
        "attachment_id": "string",
        "tracks": [
          {
            "id": "string",
            "label": "string",
            "language": "string",
            "generated": true
          }
        ],
        "outputs": [
          "string"
        ]
      },
      "audio": {
        "waveform": "string",
        "attachment_id": "string",
        "tracks": [
          {
            "id": "string",
            "label": "string",
            "language": "string",
            "generated": true
          }
        ],
        "outputs": [
          "string"
        ]
      }
    },
    "property2": {
      "id": "string",
      "kind": "string",
      "mime": "string",
      "name": "string",
      "bytes": 0,
      "width": 0,
      "height": 0,
      "duration": 0,
      "pages": 0,
      "status": "string",
      "url": "string",
      "resized": [
        {
          "width": 1,
          "avif": "string",
          "webp": "string"
        }
      ],
      "attachment_id": "string",
      "unlocks": [
        {
          "product_id": "string",
          "product_name": "string",
          "tier": {
            "id": "string",
            "name": "string",
            "rank": 0
          }
        }
      ],
      "video": {
        "attachment_id": "string",
        "tracks": [
          {
            "id": "string",
            "label": "string",
            "language": "string",
            "generated": true
          }
        ],
        "outputs": [
          "string"
        ]
      },
      "audio": {
        "waveform": "string",
        "attachment_id": "string",
        "tracks": [
          {
            "id": "string",
            "label": "string",
            "language": "string",
            "generated": true
          }
        ],
        "outputs": [
          "string"
        ]
      }
    }
  },
  "answers": {
    "property1": true,
    "property2": true
  },
  "results": [
    {
      "question_id": "string",
      "answer": true,
      "correct": true,
      "key": {
        "correct_option_id": "string",
        "correct_answer": true,
        "correct_value": 0,
        "accepted_answers": [
          "string"
        ],
        "explanation": "string"
      }
    }
  ]
}
```

- `attempt` (`getAttempt.response.200.attempt`; object, required)
  - `id` (`getAttempt.response.200.attempt.id`; string, required)
  - `product_id` (`getAttempt.response.200.attempt.product_id`; string, required)
  - `quiz_id` (`getAttempt.response.200.attempt.quiz_id`; string, required)
  - `entry_id` (`getAttempt.response.200.attempt.entry_id`; string, required)
  - `attempt` (`getAttempt.response.200.attempt.attempt`; number, required)
  - `status` (`getAttempt.response.200.attempt.status`; string, required)
  - `score` (`getAttempt.response.200.attempt.score`; any of, required)
    - any of: `number`, `null`
  - `correct` (`getAttempt.response.200.attempt.correct`; any of, required)
    - any of: `number`, `null`
  - `started_at` (`getAttempt.response.200.attempt.started_at`; string, required)
  - `finished_at` (`getAttempt.response.200.attempt.finished_at`; any of, required)
    - any of: `string`, `null`
  - `access` (`getAttempt.response.200.attempt.access`; string, required)
- `questions` (`getAttempt.response.200.questions`; array<object>, required)
  - `type` (`getAttempt.response.200.questions.type`; string, required)
  - `id` (`getAttempt.response.200.questions.id`; string, required)
  - `question` (`getAttempt.response.200.questions.question`; any of, required)
    - any of: `string`, `null`
  - `content` (`getAttempt.response.200.questions.content`; any of, required) — A static text's text, in the rich text format as stored.
    - any of: `string`, `null`
  - `options` (`getAttempt.response.200.questions.options`; any of, required)
    - any of: `array<object>`, `null`
  - `min` (`getAttempt.response.200.questions.min`; any of, required)
    - any of: `number`, `null`
  - `max` (`getAttempt.response.200.questions.max`; any of, required)
    - any of: `number`, `null`
  - `weight` (`getAttempt.response.200.questions.weight`; any of, required)
    - any of: `number`, `null`
  - `hint` (`getAttempt.response.200.questions.hint`; any of, required)
    - any of: `string`, `null`
- `attachments` (`getAttempt.response.200.attachments`; array<object>, required)
  - `tracks` (`getAttempt.response.200.attachments.tracks`; array<object>, required)
    - `id` (`getAttempt.response.200.attachments.tracks.id`; string, required)
    - `label` (`getAttempt.response.200.attachments.tracks.label`; any of, required)
      - any of: `string`, `null`
    - `language` (`getAttempt.response.200.attachments.tracks.language`; any of, required)
      - any of: `string`, `null`
    - `generated` (`getAttempt.response.200.attachments.tracks.generated`; boolean, required) — Subtitles the store generated with AI from the video's audio.
  - `outputs` (`getAttempt.response.200.attachments.outputs`; array<string>, required) — The published AI outputs `getMediaOutputs` reads beside the video or audio file.
  - `access` (`getAttempt.response.200.attachments.access`; string, required)
  - `id` (`getAttempt.response.200.attachments.id`; string, required)
  - `role` (`getAttempt.response.200.attachments.role`; string, required)
  - `delivery` (`getAttempt.response.200.attachments.delivery`; string, required)
  - `preview_only` (`getAttempt.response.200.attachments.preview_only`; boolean, required)
  - `from_body` (`getAttempt.response.200.attachments.from_body`; boolean, required) — Named by its target's body text, rather than the target's own media (a lesson's video or slides).
  - `position` (`getAttempt.response.200.attachments.position`; number, required)
  - `asset` (`getAttempt.response.200.attachments.asset`; object, required)
    - `id` (`getAttempt.response.200.attachments.asset.id`; string, required)
    - `name` (`getAttempt.response.200.attachments.asset.name`; any of, required)
      - any of: `string`, `null`
    - `title` (`getAttempt.response.200.attachments.asset.title`; any of, required)
      - any of: `string`, `null`
    - `ext` (`getAttempt.response.200.attachments.asset.ext`; any of, required)
      - any of: `string`, `null`
    - `description` (`getAttempt.response.200.attachments.asset.description`; any of, required)
      - any of: `string`, `null`
    - `mime` (`getAttempt.response.200.attachments.asset.mime`; any of, required)
      - any of: `string`, `null`
    - `bytes` (`getAttempt.response.200.attachments.asset.bytes`; any of, required) — The file's size in bytes, null when it has none or is withheld.
      - any of: `number`, `null`
    - `enforcement` (`getAttempt.response.200.attachments.asset.enforcement`; string, required)
    - `locator` (`getAttempt.response.200.attachments.asset.locator`; any of, required)
      - any of: `string`, `null`
    - `metadata` (`getAttempt.response.200.attachments.asset.metadata`; object, required)
      - `width` (`getAttempt.response.200.attachments.asset.metadata.width`; any of, required)
        - any of: `number`, `null`
      - `height` (`getAttempt.response.200.attachments.asset.metadata.height`; any of, required)
        - any of: `number`, `null`
      - `duration` (`getAttempt.response.200.attachments.asset.metadata.duration`; any of, required)
        - any of: `number`, `null`
      - `pages` (`getAttempt.response.200.attachments.asset.metadata.pages`; any of, required)
        - any of: `number`, `null`
    - `status` (`getAttempt.response.200.attachments.asset.status`; string, required)
- `files` (`getAttempt.response.200.files`; map<object>, required)
- `answers` (`getAttempt.response.200.answers`; map<any of>, required)
- `results` (`getAttempt.response.200.results`; any of, required)
  - any of: `array<object>`, `null`

### default

A problem; see https://api.sherpo.io/customer/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`getAttempt.response.default.type`; string, required)
  - format `uri`
- `title` (`getAttempt.response.default.title`; string, required)
- `status` (`getAttempt.response.default.status`; integer, required)
- `detail` (`getAttempt.response.default.detail`; string, required)
- `code` (`getAttempt.response.default.code`; string, optional)
- `context` (`getAttempt.response.default.context`; object, optional)
- `reached_core` (`getAttempt.response.default.reached_core`; boolean, optional)
- `core_answer` (`getAttempt.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/customer-api/reference/get-attempt/index.md
